## Version Information Version Information — variables and functions to check the GOA version |

## Functions

const gchar * | goa_check_version ()
#define | GOA_CHECK_VERSION()

## Types and Values

extern const guint | goa_major_version
extern const guint | goa_minor_version
extern const guint | goa_micro_version
#define | GOA_MAJOR_VERSION
#define | GOA_MINOR_VERSION
#define | GOA_MICRO_VERSION

## Description

GOA provides version information, primarily useful in configure checks for builds that have a configure script. Applications will not typically use the features described here.

## Functions

### goa_check_version ()

    const gchar *
    goa_check_version (guint required_major,
                       guint required_minor,
                       guint required_micro);

Checks that the GOA library in use is compatible with the given version. Generally you would pass in the constants GOA_MAJOR_VERSION, GOA_MINOR_VERSION, GOA_MICRO_VERSION as the three arguments to this function; that produces a check that the library in use is compatible with the version of GOA the application or module was compiled against.

Compatibility is defined by two things: first the version of the running library is newer than the version `required_major` .`required_minor` .`required_micro` . Second the running library must be binary compatible with the version `required_major` .`required_minor` .`required_micro` (same major and minor version).

#### Parameters

required_major | the required major version. |
required_minor | the required minor version. |
required_micro | the required micro version. |

#### Returns

`NULL` if the GOA library is compatible with the given version, or a string describing the version mismatch. The returned string is owned by GOA and must not be modified or freed.

Since: 3.8

### GOA_CHECK_VERSION()

    #define             GOA_CHECK_VERSION(major,minor,micro)

Checks the version of the GOA library that is being compiled against.

Example 1. Checking the version of the GOA library

    1
    2
    if (!GOA_CHECK_VERSION (3, 8, 0))
      g_error ("GOA version 3.8.0 or above is needed");

See `goa_check_version()` for a runtime check.

#### Parameters

major | the major version to check for |
minor | the minor version to check for |
micro | the micro version to check for |

#### Returns

`TRUE` if the version of the GOA header files is the same as or newer than the passed-in version.

Since: 3.8

## Types and Values

### goa_major_version

    extern const guint goa_major_version;

### goa_minor_version

    extern const guint goa_minor_version;

### goa_micro_version

    extern const guint goa_micro_version;

### GOA_MAJOR_VERSION

    #define GOA_MAJOR_VERSION 3

The major version number of the GOA daemon and library.

Like goa_major_version, but from the headers used at application compile time, rather than from the library linked against at application run time.

Since: 3.8

### GOA_MINOR_VERSION

    #define GOA_MINOR_VERSION 22

The minor version number of the GOA daemon and library.

Like goa_minor_version, but from the headers used at application compile time, rather than from the library linked against at application run time.

Since: 3.8

### GOA_MICRO_VERSION

    #define GOA_MICRO_VERSION 5

The micro version number of the GOA daemon and library.

Like goa_micro_version, but from the headers used at application compile time, rather than from the library linked against at application run time.

Since: 3.8